#ifndef MPE_GRAPHICS
#define MPE_GRAPHICS

#include "mpi.h"
#include "xtools/basex11.h"

typedef enum { MPE_WHITE = 0, MPE_BLACK = 1, MPE_RED = 2, MPE_YELLOW = 3, 
	       MPE_GREEN = 4, MPE_CYAN = 5, MPE_BLUE = 6 } MPE_Color;

#define MPE_G_COOKIE 0xfeeddada
typedef struct {
    int      Cookie;
    MPI_Comm comm;
    XBWindow *xwin;
    int      is_collective;
    } MPE_XGraph;

#endif
