/* mpe_graphics.c */
/* Fortran interface file for sun4 */
#ifndef DEBUG_ALL
#define DEBUG_ALL
#endif
#include <stdio.h>
 int  mpe_opengraphics_( handle, comm, display, x, y, w, h, is_collective)
MPE_XGraph **handle;  /* handle to window                     */
MPI_Comm   comm;  /* communicator used for communication  */
char       *display;  /* display name, or NULL                */
int        x, *y;  /* position of window, or -1,-1         */
int        w, *h;  /* size of window                       */
int        is_collective; /* whether this operation is collective */
{
return MPE_OpenGraphics(
	(/* )*((int*)handle),(/ **)*((int *)comm),
	(/* )*((int*)display),
	(/* )*((int*)x),*y,
	(/* )*((int*)w),*h,(/ **)*((int *)is_collective));
}
 int  mpe_drawpoint_( handle, x, y, color)
MPE_XGraph *handle;
int        *x, *y;
MPE_Color  *color;
{
return MPE_DrawPoint(
	(MPE_XGraph* )*((int*)handle),*x,*y,*color);
}
 int  mpe_drawline_( handle, x1, y1, x2, y2, color)
MPE_XGraph *handle;
int        *x1, *y1, *x2, *y2;
MPE_Color  *color;
{
return MPE_DrawLine(
	(MPE_XGraph* )*((int*)handle),*x1,*y1,*x2,*y2,*color);
}
 int  mpe_fillrectangle_( handle, x, y, w, h, color)
MPE_XGraph *handle;
int        *x, *y, *w, *h;
MPE_Color  *color;
{
return MPE_FillRectangle(
	(MPE_XGraph* )*((int*)handle),*x,*y,*w,*h,*color);
}
 int  mpe_update_( handle)
MPE_XGraph *handle;
{
return MPE_Update(
	(MPE_XGraph* )*((int*)handle));
}
 int  mpe_closegraphics_( handle)
MPE_XGraph *handle;
{
return MPE_CloseGraphics(
	(MPE_XGraph* )*((int*)handle));
}
 int  mpe_makecolorarray_( handle, ncolors, array)
MPE_XGraph *handle;
int        *ncolors;
MPE_Color  array[];
{
return MPE_MakeColorArray(
	(MPE_XGraph* )*((int*)handle),*ncolors,
	(MPE_Color* )*((int*)array));
}
 int  mpe_numcolors_( handle, nc)
MPE_XGraph *handle;
int        *nc;
{
return MPE_NumColors(
	(MPE_XGraph* )*((int*)handle),nc);
}
