/*
 *  $Id: errcreate.c,v 1.1 1994/03/29 21:41:08 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#ifndef lint
static char vcid[] = "$Id: errcreate.c,v 1.1 1994/03/29 21:41:08 gropp Exp $";
#endif

#include "mpi.h"

/*@
  MPI_Errhandler_create - Create an MPI-style errorhandler

Input Parameter:
. function - user defined error handling procedure 
Output Parameter:
. errhandler - MPI error handler (handle) 

@*/
int MPI_Errhandler_create( function, errhandler )
MPI_Handler_function *function;
MPI_Errhandler       *errhandler;
{
*errhandler = function;
return MPI_SUCCESS;
}
