/*
 *  $Id: getpname.c,v 1.1 1994/03/29 21:42:24 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#ifndef lint
static char vcid[] = "$Id: getpname.c,v 1.1 1994/03/29 21:42:24 gropp Exp $";
#endif /* lint */

#include <mpi.h>

/*@C
  MPI_Get_processor_name - Gets the name of the processor

Input Parameter:
. len - Length (in characters) of the space in name 

Output Parameter:
. name - A unique specifier for the actual (as opposed to virtual) node. 

@*/
int MPI_Get_processor_name( len, name )
int len;
char *name;
{
MPID_NODE_NAME( name, len );
return MPI_SUCCESS;
}
