/*
 *  $Id: pcontrol.c,v 1.2 1994/04/01 23:28:37 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#ifndef lint
static char vcid[] = "$Id: pcontrol.c,v 1.2 1994/04/01 23:28:37 gropp Exp $";
#endif

#include "mpi.h"

#ifdef __STDC__
int MPI_Pcontrol( int level, ... )
{
return MPI_SUCCESS;
}
#else
/*@
  MPI_Pcontrol - Control profiling

  Input Parameters:
. level - Profiling level 

  Notes:
  This routine provides a common interface for profiling control.  The
  interpretation of "level" and any other arguments is left to the
  profiling library.
@*/
int MPI_Pcontrol( level )
int level;
{
return MPI_SUCCESS;
}
#endif
