/*
 *  $Id: probe.c,v 1.6 1994/03/29 22:11:23 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */


#ifndef lint
static char vcid[] = "$Id: probe.c,v 1.6 1994/03/29 22:11:23 gropp Exp $";
#endif /* lint */

#include "mpi.h"
#include "mpisys.h"

/*@
    MPI_Probe - Blocking test for a message

Input Parameters:
. source - source rank, or MPI_ANY_SOURCE (integer) 
. tag - tag value or MPI_ANY_TAG (integer) 
. comm - communicator (handle) 
Output Parameter:
. flag - (logical) 
. status - status object (Status) 
@*/
int MPI_Probe( source, tag, comm, status )
int         source;
int         tag;
MPI_Comm    comm;
MPI_Status  *status;
{
MPID_probe( source, tag, comm->recv_context, status );
return MPI_SUCCESS;
}
