/*
 *  $Id: errclass.c,v 1.1 1994/03/29 21:41:03 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */


#ifndef lint
static char vcid[] = "$Id: errclass.c,v 1.1 1994/03/29 21:41:03 gropp Exp $";
#endif /* lint */
#include "mpi.h"
#include "mpisys.h"

/*@
   MPI_Error_class - Convert and error code into an error class

Input Parameter:
. errorcode - Error code returned by an MPI routine 
Output Parameter:
. errorclass - Error class associated with errorcode 

@*/
int MPI_Error_class( errorcode, errorclass )
int errorcode, *errorclass;
{
*errorclass = errorcode & 0xff;
return MPI_SUCCESS;
}
