/*
 *  $Id: errfree.c,v 1.1 1994/03/29 21:41:49 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#ifndef lint
static char vcid[] = "$Id: errfree.c,v 1.1 1994/03/29 21:41:49 gropp Exp $";
#endif

#include "mpi.h"

/*@
  MPI_Errhandler_free - Frees an MPI-style errorhandler

Input Parameter:
. errhandler - MPI error handler (handle) 

@*/
int MPI_Errhandler_free( errhandler )
MPI_Errhandler *errhandler;
{
*errhandler = MPI_ERRHANDLER_NULL;
return MPI_SUCCESS;
}
