/*
 *  $Id: wtime.c,v 1.1 1994/03/29 21:42:45 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */


#ifndef lint
static char vcid[] = "$Id: wtime.c,v 1.1 1994/03/29 21:42:45 gropp Exp $";
#endif /* lint */
#include "mpi.h"
#include "mpisys.h"

/*@
  MPI_Wtime - Return an elapsed time on the calling processor

  Return value:
  Time in seconds since an arbitrary time in the past.
@*/
double MPI_Wtime()
{
extern double MPID_WTIME();
return MPID_WTIME();
}
