/*
 *  $Id: testcancel.c,v 1.3 1994/04/12 16:02:22 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#ifndef lint
static char vcid[] = "$Id: testcancel.c,v 1.3 1994/04/12 16:02:22 gropp Exp $";
#endif /* lint */

#include "mpi.h"
#include "mpisys.h"

/*@
  MPI_Test_cancelled - Test to see if a request was canceled

Input Parameter:
. status - status object (Status) 

Output Parameter:
. flag - (logical) 
@*/
int MPI_Test_cancelled( status, flag )
MPI_Status status;
int        *flag;
{
*flag = (status.MPI_TAG == MPIR_MSG_CANCELLED);

return MPI_SUCCESS;
}
